package com.bocloud.cmp.provider.f5;

import com.bocloud.cmp.model.f5.RuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * IRules操作服务接口
 *
 * @author liuyuanyuan
 */
public interface IRulesProvider extends SuperProvider {
    /**
     * node列表
     *
     * @return
     */
    public BocloudResult list();

    /**
     * 创建rule
     *
     * @param ruleModel
     * @param
     */
    public BocloudResult create(RuleModel ruleModel);

    /**
     * 更新rule
     *
     * @param nodeModel
     * @return
     */
    public BocloudResult update(RuleModel ruleModel);

    /**
     * 删除rule
     *
     * @param name
     * @return
     */
    public BocloudResult remove(String ruleName);
}
